package cn.iocoder.yudao.module.member.service.configdata;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.member.controller.admin.configdata.vo.*;
import cn.iocoder.yudao.module.member.dal.dataobject.configdata.ConfigDataDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 配置数据 Service 接口
 *
 * @author 秦俊旗
 */
public interface ConfigDataService {

    /**
     * 创建配置数据
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createConfigData(@Valid ConfigDataSaveReqVO createReqVO);

    /**
     * 更新配置数据
     *
     * @param updateReqVO 更新信息
     */
    void updateConfigData(@Valid ConfigDataSaveReqVO updateReqVO);

    /**
     * 删除配置数据
     *
     * @param id 编号
     */
    void deleteConfigData(Long id);

    /**
     * 获得配置数据
     *
     * @param id 编号
     * @return 配置数据
     */
    ConfigDataDO getConfigData(Long id);

    /**
     * 获得配置数据分页
     *
     * @param pageReqVO 分页查询
     * @return 配置数据分页
     */
    PageResult<ConfigDataDO> getConfigDataPage(ConfigDataPageReqVO pageReqVO);

    ConfigDataDO getConfigData(String label,String dictType);

    List<ConfigDataDO> getConfigDataList(String dictType);
}